Retrieve a page
curl --request GET \
--url https://api.domo.com/v1/pages/{page_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.domo.com/v1/pages/{page_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.domo.com/v1/pages/{page_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 421696155,
"parentId": 1507324998,
"owners": [
{
"id": 8811501,
"type": "USER",
"displayName": "John Smith"
}
],
"name": "Custom Maps",
"locked": false,
"collectionIds": [],
"cardIds": [
606665948,
917562931,
1240307199,
911423588
],
"visibility": {
"userIds": [
8811501
],
"groupIds": []
}
}Retrieve a page
Retrieves the details of an existing page.
GET
/
v1
/
pages
/
{page_id}
Retrieve a page
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the page
Example:
"876655018"
Response
200 - application/json
Returns a page object if valid page ID was provided.
The ID of the page
The ID of the page that is higher in organizational hierarchy
The name of the page
Determines whether users (besides the page owner) can make updates to page or its content - the default value is false
The IDs of collections within a page
The ID of all cards contained within the page
Determines the access given to both individual users or groups within Domo
Show child attributes
Show child attributes
List of IDs of page owners
Show child attributes
Show child attributes